import os
import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"meta.pmh",
				"MetaBrush",
				"MetaGraph",
				"MetaPlugin",
				"OperatorContext",
				"metaDL" ]

	dll = module.DLL( "fexMetaDL", srcList )

	deplibs = forge.corelibs+ [
				"fexDrawDLLib",
				"fexMathLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexMetaDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexMetaDL",					None,	None) ]

	if 'graphviz' in forge.module_list and os.path.exists('ext/graphviz') and os.path.exists('/usr/include/graphviz/gvc.h'):
		module.cppmap = {}
		module.cppmap['meta'] = ' -DFE_USE_GRAPHVIZ'
	else:
		sys.stdout.write("-graphviz ")
